import { createElement, Fragment, Suspense, lazy } from 'react';

var Inspect = /*#__PURE__*/lazy(function () {
  return import('./inspx.esm.undefined.js');
});
function Loader(props) {
  var disabled = props.disabled || process.env.NODE_ENV !== 'development';

  if (disabled || typeof window === 'undefined') {
    return createElement(Fragment, null, props.children);
  }

  return createElement(Suspense, {
    fallback: null
  }, createElement(Inspect, Object.assign({}, props)));
}

export default Loader;
//# sourceMappingURL=index.esm.js.map
